TITLE Mod file for component: Component(id=generated_model__sodium_background_current_0 type=generated_model__sodium_background_current)

COMMENT

    This NEURON file has been generated by org.neuroml.export (see https://github.com/NeuroML/org.neuroml.export)
         org.neuroml.export  v1.4.6
         org.neuroml.model   v1.4.6
         jLEMS               v0.9.8.6

ENDCOMMENT

NEURON {
    SUFFIX NAbg : generated_model__sodium_background_current_0
    USEION na READ ena WRITE ina
    
    RANGE g                             : parameter
    : RANGE V                                 : parameter
    : RANGE E_Na                              : parameter
    : RANGE tscale                            : parameter
    
    RANGE ina                             : exposure
    
}

UNITS {
    
    (nA) = (nanoamp)
    (uA) = (microamp)
    (mA) = (milliamp)
    (A) = (amp)
    (mV) = (millivolt)
    (mS) = (millisiemens)
    (uS) = (microsiemens)
    (molar) = (1/liter)
    (kHz) = (kilohertz)
    (mM) = (millimolar)
    (um) = (micrometer)
    (umol) = (micromole)
    (S) = (siemens)
    
}

PARAMETER {
    
    g = 0.0000029 (mho/cm2) 
    v (mV)
    ena (mV) 
    tscale = 0.001 (kHz)
}

ASSIGNED {
    
    ina (mA/cm2)                                  : derived variable
    
}


INITIAL {
    rates(v)
    rates(v) ? To ensure correct initialisation.
    
}

BREAKPOINT {
    
    rates(v)
    
}

PROCEDURE rates(v (mV)) {
    
    ina = (  g   * (  v   -   ena  )) ? evaluable
    
     
    
}

